package com.flyfish.framework.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 用户状态
 *
 * @author wangyu
 * 根据用户状态标识用户
 */
@Getter
@AllArgsConstructor
public enum UserStatus implements NamedEnum {

    NORMAL("正常"), LOCKED("已锁定"), DISABLED("已禁用"), EXPIRED("已过期");

    private final String name;
}
