package com.flyfish.framework.repository;

import com.flyfish.framework.repository.base.DomainRepository;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.data.repository.NoRepositoryBean;


/**
 * 默认的持久层dao
 *
 * @param <T> 泛型
 */
@NoRepositoryBean
public interface DefaultReactiveRepository<T> extends ReactiveMongoRepository<T, String>, ReactiveQueryModelExecutor<T>,
        DomainRepository<T> {

}
