package com.flyfish.framework.constant;

import com.flyfish.framework.config.FrameworkConfiguration;

/**
 * 框架静态配置
 *
 * @author wangyu
 */
public interface Frameworks {

    FrameworkConfiguration config = new FrameworkConfiguration();

    static FrameworkConfiguration resultStyle() {
        config.setResultStyle(true);
        return config;
    }

    static FrameworkConfiguration shortPassword() {
        config.setShortPassword(true);
        return config;
    }

    static FrameworkConfiguration debug() {
        config.setDebug(true);
        return config;
    }
}
